package com.steering.model.qcm;

/**
 * 数据库表CRAFT_ORD_DESIGN_STD_PIC_SMP所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-06-13
 */
@SuppressWarnings("serial")
public class CraftOrdDesignStdPicSmpEntity implements java.io.Serializable {
    /**
     * DESGIN_KEY
     */
    private String desginKey = "";
    /**
     * 材质标准索引号
     */
    private String pic = "";
    /**
     * 取样码索引号
     */
    private String sic = "";
    /**
     * 试样组代码
     */
    private String phyCodeMin = "";
    /**
     * 试样组描述
     */
    private String phyNameMin = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 取样长度代码(COM_BASE_SPLINE)
     */
    private String length = "";
    /**
     * 取样长度描述---------（本字段需移除）
     */
    private String descLength = "";
    /**
     * 取样频率代码(4011)(组批要求,支数限制)
     */
    private String rate = "";
    /**
     * 取样频率描述
     */
    private String descRate = "";
    /**
     * 取样数量
     */
    private String descCount = "";
    /**
     * 取样位置代码(4012)
     */
    private String position = "";
    /**
     * 取样位置描述
     */
    private String descPosition = "";
    /**
     * 试验样条数(从COM_BASE_PHY_B中带过来，允许人工在界面上修改)
     */
    private String sampleCount = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 样片类型(  环 或 片)(COM_BASE_SPLINE)
     */
    private String sampleStyle = "";
    /**
     * 每批支数  改成   分批数量
     */
    private String batchCnt = "";
    /**
     * 取样宽度(SAMPLE_STYLE=片时，必须输入本字段值)(COM_BASE_SPLINE)
     */
    private String width = "";
    /**
     * 分批单位（米/支/吨）
     */
    private String batchUnit = "";
    /**
     * 试样索引号(COM_BASE_SPLINE)
     */
    private String eic = "";
    /**
     * 试样方向(横向/纵向)(COM_BASE_SPLINE)
     */
    private String phyDir = "";
    /**
     * 名义规格(文本字段，人工填写，不允许为空)(COM_BASE_SPLINE)
     */
    private String sizeDesc = "";
    /**
     * 项目代码_方向
     */
    private String itemCodeF = "";
    /**
     * 项目代码_尺寸
     */
    private String itemCodeC = "";
    /**
     * 项目代码_温度
     */
    private String itemCodeW = "";
    /**
     * 试样组+方向+温度+尺寸的代码组合
     */
    private String sampleKey = "";
    /**
     * 试样组+'('+方向+'_'+温度+'_'+尺寸+'_'+')'的组合描述
     */
    private String sampleKeyDesc = "";
    /**
     * 标准代码（试验标准）
     */
    private String stdCodeTest = "";
    /**
     * 标准名称（试验标准）
     */
    private String stdNameTest = "";
    /**
     * 试验尺寸代码（试样码基础表带过来的）
     */
    private String splineItemCodeS = "";
    /**
     * 试验尺寸名称（试样码基础表带过来的）
     */
    private String splineItemNameS = "";
    /**
     * 试验方向代码（试样码基础表带过来的）
     */
    private String splineItemCodeF = "";
    /**
     * 试验方向名称（试样码基础表带过来的）
     */
    private String splineItemNameF = "";
    /**
     * 工序代码
     */
    private String processCode = "";
    /**
     * 工序名称
     */
    private String processDesc = "";
    /**
     * 制程号(内控用)
     */
    private String mscPline = "";
    /**
     * 附加1（%）
     */
    private String attachPercent = "";
    /**
     * 附加2（支）
     */
    private String attachCount = "";
    /**
     * 前几炉
     */
    private String topStove = "";
    /**
     * 循环值
     */
    private String loopValue = "";

    /**
     * DESGIN_KEY
     * @return value
     */
    public String getDesginKey() {
        return desginKey;
    }

    /**
     * DESGIN_KEY
     * @param desginKey value
     */
    public void setDesginKey(String desginKey) {
        this.desginKey = desginKey;
    }

    /**
     * 材质标准索引号
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 取样码索引号
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 取样码索引号
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 试样组代码
     * @return value
     */
    public String getPhyCodeMin() {
        return phyCodeMin;
    }

    /**
     * 试样组代码
     * @param phyCodeMin value
     */
    public void setPhyCodeMin(String phyCodeMin) {
        this.phyCodeMin = phyCodeMin;
    }

    /**
     * 试样组描述
     * @return value
     */
    public String getPhyNameMin() {
        return phyNameMin;
    }

    /**
     * 试样组描述
     * @param phyNameMin value
     */
    public void setPhyNameMin(String phyNameMin) {
        this.phyNameMin = phyNameMin;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 取样长度代码(COM_BASE_SPLINE)
     * @return value
     */
    public String getLength() {
        return length;
    }

    /**
     * 取样长度代码(COM_BASE_SPLINE)
     * @param length value
     */
    public void setLength(String length) {
        this.length = length;
    }

    /**
     * 取样长度描述---------（本字段需移除）
     * @return value
     */
    public String getDescLength() {
        return descLength;
    }

    /**
     * 取样长度描述---------（本字段需移除）
     * @param descLength value
     */
    public void setDescLength(String descLength) {
        this.descLength = descLength;
    }

    /**
     * 取样频率代码(4011)(组批要求,支数限制)
     * @return value
     */
    public String getRate() {
        return rate;
    }

    /**
     * 取样频率代码(4011)(组批要求,支数限制)
     * @param rate value
     */
    public void setRate(String rate) {
        this.rate = rate;
    }

    /**
     * 取样频率描述
     * @return value
     */
    public String getDescRate() {
        return descRate;
    }

    /**
     * 取样频率描述
     * @param descRate value
     */
    public void setDescRate(String descRate) {
        this.descRate = descRate;
    }

    /**
     * 取样数量
     * @return value
     */
    public String getDescCount() {
        return descCount;
    }

    /**
     * 取样数量
     * @param descCount value
     */
    public void setDescCount(String descCount) {
        this.descCount = descCount;
    }

    /**
     * 取样位置代码(4012)
     * @return value
     */
    public String getPosition() {
        return position;
    }

    /**
     * 取样位置代码(4012)
     * @param position value
     */
    public void setPosition(String position) {
        this.position = position;
    }

    /**
     * 取样位置描述
     * @return value
     */
    public String getDescPosition() {
        return descPosition;
    }

    /**
     * 取样位置描述
     * @param descPosition value
     */
    public void setDescPosition(String descPosition) {
        this.descPosition = descPosition;
    }

    /**
     * 试验样条数(从COM_BASE_PHY_B中带过来，允许人工在界面上修改)
     * @return value
     */
    public String getSampleCount() {
        return sampleCount;
    }

    /**
     * 试验样条数(从COM_BASE_PHY_B中带过来，允许人工在界面上修改)
     * @param sampleCount value
     */
    public void setSampleCount(String sampleCount) {
        this.sampleCount = sampleCount;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 样片类型(  环 或 片)(COM_BASE_SPLINE)
     * @return value
     */
    public String getSampleStyle() {
        return sampleStyle;
    }

    /**
     * 样片类型(  环 或 片)(COM_BASE_SPLINE)
     * @param sampleStyle value
     */
    public void setSampleStyle(String sampleStyle) {
        this.sampleStyle = sampleStyle;
    }

    /**
     * 每批支数  改成   分批数量
     * @return value
     */
    public String getBatchCnt() {
        return batchCnt;
    }

    /**
     * 每批支数  改成   分批数量
     * @param batchCnt value
     */
    public void setBatchCnt(String batchCnt) {
        this.batchCnt = batchCnt;
    }

    /**
     * 取样宽度(SAMPLE_STYLE=片时，必须输入本字段值)(COM_BASE_SPLINE)
     * @return value
     */
    public String getWidth() {
        return width;
    }

    /**
     * 取样宽度(SAMPLE_STYLE=片时，必须输入本字段值)(COM_BASE_SPLINE)
     * @param width value
     */
    public void setWidth(String width) {
        this.width = width;
    }

    /**
     * 分批单位（米/支/吨）
     * @return value
     */
    public String getBatchUnit() {
        return batchUnit;
    }

    /**
     * 分批单位（米/支/吨）
     * @param batchUnit value
     */
    public void setBatchUnit(String batchUnit) {
        this.batchUnit = batchUnit;
    }

    /**
     * 试样索引号(COM_BASE_SPLINE)
     * @return value
     */
    public String getEic() {
        return eic;
    }

    /**
     * 试样索引号(COM_BASE_SPLINE)
     * @param eic value
     */
    public void setEic(String eic) {
        this.eic = eic;
    }

    /**
     * 试样方向(横向/纵向)(COM_BASE_SPLINE)
     * @return value
     */
    public String getPhyDir() {
        return phyDir;
    }

    /**
     * 试样方向(横向/纵向)(COM_BASE_SPLINE)
     * @param phyDir value
     */
    public void setPhyDir(String phyDir) {
        this.phyDir = phyDir;
    }

    /**
     * 名义规格(文本字段，人工填写，不允许为空)(COM_BASE_SPLINE)
     * @return value
     */
    public String getSizeDesc() {
        return sizeDesc;
    }

    /**
     * 名义规格(文本字段，人工填写，不允许为空)(COM_BASE_SPLINE)
     * @param sizeDesc value
     */
    public void setSizeDesc(String sizeDesc) {
        this.sizeDesc = sizeDesc;
    }

    /**
     * 项目代码_方向
     * @return value
     */
    public String getItemCodeF() {
        return itemCodeF;
    }

    /**
     * 项目代码_方向
     * @param itemCodeF value
     */
    public void setItemCodeF(String itemCodeF) {
        this.itemCodeF = itemCodeF;
    }

    /**
     * 项目代码_尺寸
     * @return value
     */
    public String getItemCodeC() {
        return itemCodeC;
    }

    /**
     * 项目代码_尺寸
     * @param itemCodeC value
     */
    public void setItemCodeC(String itemCodeC) {
        this.itemCodeC = itemCodeC;
    }

    /**
     * 项目代码_温度
     * @return value
     */
    public String getItemCodeW() {
        return itemCodeW;
    }

    /**
     * 项目代码_温度
     * @param itemCodeW value
     */
    public void setItemCodeW(String itemCodeW) {
        this.itemCodeW = itemCodeW;
    }

    /**
     * 试样组+方向+温度+尺寸的代码组合
     * @return value
     */
    public String getSampleKey() {
        return sampleKey;
    }

    /**
     * 试样组+方向+温度+尺寸的代码组合
     * @param sampleKey value
     */
    public void setSampleKey(String sampleKey) {
        this.sampleKey = sampleKey;
    }

    /**
     * 试样组+'('+方向+'_'+温度+'_'+尺寸+'_'+')'的组合描述
     * @return value
     */
    public String getSampleKeyDesc() {
        return sampleKeyDesc;
    }

    /**
     * 试样组+'('+方向+'_'+温度+'_'+尺寸+'_'+')'的组合描述
     * @param sampleKeyDesc value
     */
    public void setSampleKeyDesc(String sampleKeyDesc) {
        this.sampleKeyDesc = sampleKeyDesc;
    }

    /**
     * 标准代码（试验标准）
     * @return value
     */
    public String getStdCodeTest() {
        return stdCodeTest;
    }

    /**
     * 标准代码（试验标准）
     * @param stdCodeTest value
     */
    public void setStdCodeTest(String stdCodeTest) {
        this.stdCodeTest = stdCodeTest;
    }

    /**
     * 标准名称（试验标准）
     * @return value
     */
    public String getStdNameTest() {
        return stdNameTest;
    }

    /**
     * 标准名称（试验标准）
     * @param stdNameTest value
     */
    public void setStdNameTest(String stdNameTest) {
        this.stdNameTest = stdNameTest;
    }

    /**
     * 试验尺寸代码（试样码基础表带过来的）
     * @return value
     */
    public String getSplineItemCodeS() {
        return splineItemCodeS;
    }

    /**
     * 试验尺寸代码（试样码基础表带过来的）
     * @param splineItemCodeS value
     */
    public void setSplineItemCodeS(String splineItemCodeS) {
        this.splineItemCodeS = splineItemCodeS;
    }

    /**
     * 试验尺寸名称（试样码基础表带过来的）
     * @return value
     */
    public String getSplineItemNameS() {
        return splineItemNameS;
    }

    /**
     * 试验尺寸名称（试样码基础表带过来的）
     * @param splineItemNameS value
     */
    public void setSplineItemNameS(String splineItemNameS) {
        this.splineItemNameS = splineItemNameS;
    }

    /**
     * 试验方向代码（试样码基础表带过来的）
     * @return value
     */
    public String getSplineItemCodeF() {
        return splineItemCodeF;
    }

    /**
     * 试验方向代码（试样码基础表带过来的）
     * @param splineItemCodeF value
     */
    public void setSplineItemCodeF(String splineItemCodeF) {
        this.splineItemCodeF = splineItemCodeF;
    }

    /**
     * 试验方向名称（试样码基础表带过来的）
     * @return value
     */
    public String getSplineItemNameF() {
        return splineItemNameF;
    }

    /**
     * 试验方向名称（试样码基础表带过来的）
     * @param splineItemNameF value
     */
    public void setSplineItemNameF(String splineItemNameF) {
        this.splineItemNameF = splineItemNameF;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 工序名称
     * @return value
     */
    public String getProcessDesc() {
        return processDesc;
    }

    /**
     * 工序名称
     * @param processDesc value
     */
    public void setProcessDesc(String processDesc) {
        this.processDesc = processDesc;
    }

    /**
     * 制程号(内控用)
     * @return value
     */
    public String getMscPline() {
        return mscPline;
    }

    /**
     * 制程号(内控用)
     * @param mscPline value
     */
    public void setMscPline(String mscPline) {
        this.mscPline = mscPline;
    }

    /**
     * 附加1（%）
     * @return value
     */
    public String getAttachPercent() {
        return attachPercent;
    }

    /**
     * 附加1（%）
     * @param attachPercent value
     */
    public void setAttachPercent(String attachPercent) {
        this.attachPercent = attachPercent;
    }

    /**
     * 附加2（支）
     * @return value
     */
    public String getAttachCount() {
        return attachCount;
    }

    /**
     * 附加2（支）
     * @param attachCount value
     */
    public void setAttachCount(String attachCount) {
        this.attachCount = attachCount;
    }

    /**
     * 前几炉
     * @return value
     */
    public String getTopStove() {
        return topStove;
    }

    /**
     * 前几炉
     * @param topStove value
     */
    public void setTopStove(String topStove) {
        this.topStove = topStove;
    }

    /**
     * 循环值
     * @return value
     */
    public String getLoopValue() {
        return loopValue;
    }

    /**
     * 循环值
     * @param loopValue value
     */
    public void setLoopValue(String loopValue) {
        this.loopValue = loopValue;
    }
}
